Page MenuHomePhabricator

Remove FileExporter beta feature support and cleanup config
Closed, ResolvedPublic1 Estimated Story Points

Description

Remove settings and logic to support the "beta feature" mode, once the extension has been deployed in default mode for long enough that we're sure we won't roll back.

  • Remove FileExporterBetaFeature setting in code
  • Remove FileExporterBetaFeature setting usage in mediawiki-config
  • Move settings related code out of the beta section in mediawiki-config

Event Timeline

WMDE-Fisch renamed this task from Remove beta feature support to Remove beta feature support and cleanup config.Jan 26 2021, 2:38 PM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch added a project: WMDE-TechWish.
WMDE-Fisch moved this task from Proposed to Maintenance Backlog on the WMDE-TechWish board.
awight renamed this task from Remove beta feature support and cleanup config to Remove FileExporter beta feature support and cleanup config.Jan 24 2022, 1:23 PM

Change 756612 had a related patch set uploaded (by WMDE-Fisch; author: WMDE-Fisch):

[mediawiki/extensions/FileExporter@master] Clean-up beta feature setting

https://gerrit.wikimedia.org/r/756612

Change 756949 had a related patch set uploaded (by Awight; author: Awight):

[integration/config@master] Remove outdated beta feature dependency for FileExporter

https://gerrit.wikimedia.org/r/756949

Change 756612 merged by jenkins-bot:

[mediawiki/extensions/FileExporter@master] Clean-up beta feature setting

https://gerrit.wikimedia.org/r/756612

WMDE-Fisch set the point value for this task to 2.Jan 28 2022, 10:12 AM

Change 756949 merged by jenkins-bot:

[integration/config@master] Remove outdated beta feature dependency for FileExporter

https://gerrit.wikimedia.org/r/756949

WMDE-Fisch claimed this task.

I think there's nothing to do here anymore.

Change 859996 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/FileImporter@master] Remove obolete BetaFeature message

https://gerrit.wikimedia.org/r/859996

thiemowmde changed the point value for this task from 2 to 1.

Change 860002 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/vagrant@master] Remove obsolete FileImporter role

https://gerrit.wikimedia.org/r/860002

Change 859996 merged by jenkins-bot:

[mediawiki/extensions/FileImporter@master] Remove obolete BetaFeature message

https://gerrit.wikimedia.org/r/859996

Change 860002 merged by jenkins-bot:

[mediawiki/vagrant@master] Remove obsolete FileImporter setting

https://gerrit.wikimedia.org/r/860002

Change 860558 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/FileExporter@master] Remove obsolete dev/test wiki special case

https://gerrit.wikimedia.org/r/860558

Change 860558 merged by jenkins-bot:

[mediawiki/extensions/FileExporter@master] Remove obsolete dev/test wiki special case

https://gerrit.wikimedia.org/r/860558